Index: sandbox/MultiChannelUSB/Paella.qsf
===================================================================
--- sandbox/MultiChannelUSB/Paella.qsf	(revision 108)
+++ sandbox/MultiChannelUSB/Paella.qsf	(revision 151)
@@ -51,24 +51,4 @@
 set_global_assignment -name MISC_FILE "C:/altera/project_12/Paella.dpf"
 set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
-set_global_assignment -name VERILOG_FILE cic_pipeline.v
-set_global_assignment -name VERILOG_FILE cic_filter.v
-set_global_assignment -name VERILOG_FILE Paella.v
-set_global_assignment -name VERILOG_FILE adc_lvds.v
-set_global_assignment -name VERILOG_FILE sys_pll.v
-set_global_assignment -name VERILOG_FILE control.v
-set_global_assignment -name VERILOG_FILE analyser.v
-set_global_assignment -name VERILOG_FILE amplitude.v
-set_global_assignment -name VERILOG_FILE delay.v
-set_global_assignment -name VERILOG_FILE coincidence.v
-set_global_assignment -name VERILOG_FILE counter.v
-set_global_assignment -name VERILOG_FILE histogram32.v
-set_global_assignment -name VERILOG_FILE histogram16.v
-set_global_assignment -name VERILOG_FILE trigger.v
-set_global_assignment -name VERILOG_FILE oscilloscope.v
-set_global_assignment -name VERILOG_FILE configuration.v
-set_global_assignment -name VERILOG_FILE usb_fifo.v
-set_global_assignment -name VERILOG_FILE i2c_fifo.v
-set_global_assignment -name VERILOG_FILE test.v
-set_global_assignment -name MIF_FILE test.mif
 set_global_assignment -name USE_TIMEQUEST_TIMING_ANALYZER OFF
 set_global_assignment -name ENABLE_CLOCK_LATENCY ON
@@ -86,149 +66,118 @@
 set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
 set_global_assignment -name RESERVE_ASDO_AFTER_CONFIGURATION "AS INPUT TRI-STATED"
+set_global_assignment -name FMAX_REQUIREMENT "240 MHz" -section_id "LVDS Data Clock"
+set_instance_assignment -name CLOCK_SETTINGS "LVDS Data Clock" -to ADC_DCO
+set_global_assignment -name FMAX_REQUIREMENT "20 MHz" -section_id "LVDS Frame Clock"
+set_instance_assignment -name CLOCK_SETTINGS "LVDS Frame Clock" -to ADC_FCO
+set_global_assignment -name FMAX_REQUIREMENT "50 MHz" -section_id "USB Clock"
+set_instance_assignment -name CLOCK_SETTINGS "USB Clock" -to USB_IFCLK
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 1
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 2
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 3
-set_global_assignment -name IOBANK_VCCIO 2.5V -section_id 4
-set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 5
-set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 6
+set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 4
+set_global_assignment -name IOBANK_VCCIO 2.5V -section_id 5
+set_global_assignment -name IOBANK_VCCIO 2.5V -section_id 6
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 7
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 8
 set_location_assignment PIN_21 -to LED
-set_location_assignment PIN_33 -to CLK_50MHz
-set_location_assignment PIN_37 -to USB_PA7
-set_location_assignment PIN_38 -to USB_PA6
-set_location_assignment PIN_39 -to USB_PA5
-set_location_assignment PIN_41 -to USB_PA4
-set_location_assignment PIN_43 -to USB_PA3
-set_location_assignment PIN_44 -to USB_PA2
-set_location_assignment PIN_45 -to USB_PA1
-set_location_assignment PIN_46 -to USB_PA0
-set_location_assignment PIN_49 -to USB_FLAGC
-set_location_assignment PIN_50 -to USB_FLAGB
-set_location_assignment PIN_51 -to USB_FLAGA
-set_location_assignment PIN_52 -to USB_PB[7]
-set_location_assignment PIN_55 -to USB_PB[6]
-set_location_assignment PIN_56 -to USB_PB[5]
-set_location_assignment PIN_57 -to USB_PB[4]
-set_location_assignment PIN_63 -to USB_SLRD
-set_location_assignment PIN_64 -to USB_SLWR
-set_location_assignment PIN_65 -to USB_IFCLK
-set_location_assignment PIN_68 -to USB_PB[0]
-set_location_assignment PIN_69 -to USB_PB[1]
-set_location_assignment PIN_70 -to USB_PB[2]
-set_location_assignment PIN_71 -to USB_PB[3]
-set_location_assignment PIN_72 -to I2C_SDA
-set_location_assignment PIN_73 -to I2C_SCL
-set_location_assignment PIN_76 -to CON_A[0]
-set_location_assignment PIN_78 -to CON_A[1]
-set_location_assignment PIN_80 -to CON_A[2]
-set_location_assignment PIN_81 -to CON_A[3]
-set_location_assignment PIN_82 -to CON_A[4]
-set_location_assignment PIN_83 -to TRG[0]
-set_location_assignment PIN_84 -to TRG[1]
-set_location_assignment PIN_87 -to TRG[2]
-set_location_assignment PIN_88 -to TRG[3]
-set_location_assignment PIN_91 -to ADC_DCO
-set_location_assignment PIN_92 -to "ADC_DCO(n)"
+set_location_assignment PIN_33 -to USB_IFCLK
+set_location_assignment PIN_37 -to USB_PA6
+set_location_assignment PIN_38 -to USB_PA4
+set_location_assignment PIN_39 -to USB_PA2
+set_location_assignment PIN_41 -to USB_FLAGB
+set_location_assignment PIN_43 -to USB_FLAGA
+set_location_assignment PIN_44 -to USB_PB[4]
+set_location_assignment PIN_45 -to USB_PB[5]
+set_location_assignment PIN_46 -to USB_PB[6]
+set_location_assignment PIN_49 -to USB_PB[7]
+set_location_assignment PIN_50 -to USB_SLRD
+set_location_assignment PIN_51 -to USB_SLWR
+set_location_assignment PIN_52 -to USB_PB[0]
+set_location_assignment PIN_55 -to USB_PB[1]
+set_location_assignment PIN_56 -to USB_PB[2]
+set_location_assignment PIN_57 -to USB_PB[3]
+set_location_assignment PIN_78 -to PWM[0]
+set_location_assignment PIN_80 -to PWM[1]
+set_location_assignment PIN_81 -to PWM[2]
+set_location_assignment PIN_82 -to PWM[3]
+set_location_assignment PIN_114 -to SPI_SEL[0]
+set_location_assignment PIN_117 -to ADC_RST
+set_location_assignment PIN_118 -to SPI_CLK
+set_location_assignment PIN_119 -to SPI_SDO
+set_location_assignment PIN_120 -to SPI_SEL[1]
+set_location_assignment PIN_137 -to "ADC_D[0](n)"
+set_location_assignment PIN_139 -to ADC_D[0]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[0]
+set_location_assignment PIN_142 -to "ADC_D[1](n)"
+set_location_assignment PIN_143 -to ADC_D[1]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[1]
+set_location_assignment PIN_144 -to "ADC_D[2](n)"
+set_location_assignment PIN_145 -to ADC_D[2]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[2]
+set_location_assignment PIN_147 -to "ADC_D[3](n)"
+set_location_assignment PIN_148 -to ADC_D[3]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[3]
+set_location_assignment PIN_149 -to "ADC_DCO(n)"
+set_location_assignment PIN_150 -to ADC_DCO
 set_instance_assignment -name IO_STANDARD LVDS -to ADC_DCO
-set_location_assignment PIN_93 -to ADC_FCO
-set_location_assignment PIN_94 -to "ADC_FCO(n)"
+set_location_assignment PIN_151 -to "ADC_FCO(n)"
+set_location_assignment PIN_152 -to ADC_FCO
 set_instance_assignment -name IO_STANDARD LVDS -to ADC_FCO
-set_location_assignment PIN_98 -to ADC_D[0]
-set_location_assignment PIN_99 -to "ADC_D[0](n)"
-set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[0]
-set_location_assignment PIN_108 -to ADC_D[1]
-set_location_assignment PIN_109 -to "ADC_D[1](n)"
-set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[1]
-set_location_assignment PIN_119 -to ADC_D[2]
-set_location_assignment PIN_120 -to "ADC_D[2](n)"
-set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[2]
-set_location_assignment PIN_126 -to CON_B[0]
-set_location_assignment PIN_127 -to CON_B[1]
-set_location_assignment PIN_128 -to CON_B[2]
-set_location_assignment PIN_131 -to CON_B[3]
-set_location_assignment PIN_132 -to CON_B[4]
-set_location_assignment PIN_133 -to CON_B[5]
-set_location_assignment PIN_134 -to CON_B[6]
-set_location_assignment PIN_135 -to CON_B[7]
-set_location_assignment PIN_137 -to CON_B[8]
-set_location_assignment PIN_139 -to CON_B[9]
-set_location_assignment PIN_142 -to CON_B[10]
-set_location_assignment PIN_143 -to CON_B[11]
-set_location_assignment PIN_144 -to CON_B[12]
-set_location_assignment PIN_145 -to CON_B[13]
-set_location_assignment PIN_146 -to CON_B[14]
-set_location_assignment PIN_147 -to CON_B[15]
-set_location_assignment PIN_149 -to CON_BCLK[0]
-set_location_assignment PIN_150 -to CON_BCLK[1]
-set_location_assignment PIN_151 -to CON_CCLK[0]
-set_location_assignment PIN_152 -to CON_CCLK[1]
-set_location_assignment PIN_159 -to CON_C[0]
-set_location_assignment PIN_160 -to CON_C[1]
-set_location_assignment PIN_161 -to CON_C[2]
-set_location_assignment PIN_162 -to CON_C[3]
-set_location_assignment PIN_164 -to CON_C[4]
-set_location_assignment PIN_166 -to CON_C[5]
-set_location_assignment PIN_167 -to CON_C[6]
-set_location_assignment PIN_168 -to CON_C[7]
-set_location_assignment PIN_169 -to CON_C[8]
-set_location_assignment PIN_171 -to CON_C[9]
-set_location_assignment PIN_173 -to CON_C[10]
-set_location_assignment PIN_176 -to CON_C[11]
-set_location_assignment PIN_177 -to CON_C[12]
-set_location_assignment PIN_181 -to RAM_DQB[7]
-set_location_assignment PIN_182 -to RAM_ADDR[6]
-set_location_assignment PIN_183 -to RAM_ADDR[7]
-set_location_assignment PIN_184 -to RAM_CE1
-set_location_assignment PIN_186 -to RAM_CLK
-set_location_assignment PIN_187 -to RAM_WE
-set_location_assignment PIN_188 -to RAM_ADDR[8]
-set_location_assignment PIN_189 -to RAM_ADDR[9]
-set_location_assignment PIN_194 -to RAM_ADDR[10]
-set_location_assignment PIN_195 -to RAM_ADDR[11]
-set_location_assignment PIN_196 -to RAM_ADDR[12]
-set_location_assignment PIN_197 -to RAM_DQAP
-set_location_assignment PIN_200 -to RAM_DQA[0]
-set_location_assignment PIN_201 -to RAM_DQA[1]
-set_location_assignment PIN_202 -to RAM_DQA[2]
-set_location_assignment PIN_203 -to RAM_DQA[3]
-set_location_assignment PIN_207 -to RAM_DQA[4]
-set_location_assignment PIN_214 -to RAM_DQA[5]
-set_location_assignment PIN_216 -to RAM_DQA[6]
-set_location_assignment PIN_217 -to RAM_DQA[7]
-set_location_assignment PIN_218 -to RAM_ADDR[13]
-set_location_assignment PIN_219 -to RAM_ADDR[14]
-set_location_assignment PIN_221 -to RAM_ADDR[15]
-set_location_assignment PIN_223 -to RAM_ADDR[16]
-set_location_assignment PIN_224 -to RAM_ADDR[17]
-set_location_assignment PIN_226 -to RAM_ADDR[18]
-set_location_assignment PIN_230 -to RAM_ADDR[19]
-set_location_assignment PIN_231 -to RAM_ADDR[0]
-set_location_assignment PIN_232 -to RAM_ADDR[1]
-set_location_assignment PIN_233 -to RAM_ADDR[2]
-set_location_assignment PIN_234 -to RAM_ADDR[3]
-set_location_assignment PIN_235 -to RAM_ADDR[4]
-set_location_assignment PIN_236 -to RAM_ADDR[5]
-set_location_assignment PIN_237 -to RAM_DQBP
-set_location_assignment PIN_238 -to RAM_DQB[0]
-set_location_assignment PIN_239 -to RAM_DQB[1]
-set_location_assignment PIN_240 -to RAM_DQB[2]
-set_location_assignment PIN_4 -to RAM_DQB[3]
-set_location_assignment PIN_5 -to RAM_DQB[4]
-set_location_assignment PIN_6 -to RAM_DQB[5]
-set_location_assignment PIN_9 -to RAM_DQB[6]
+set_location_assignment PIN_159 -to "ADC_D[4](n)"
+set_location_assignment PIN_160 -to ADC_D[4]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[4]
+set_location_assignment PIN_162 -to "ADC_D[5](n)"
+set_location_assignment PIN_164 -to ADC_D[5]
+set_instance_assignment -name IO_STANDARD LVDS -to ADC_D[5]
+set_location_assignment PIN_181 -to RAM_ADDR[12]
+set_location_assignment PIN_182 -to RAM_DQAP
+set_location_assignment PIN_183 -to RAM_DQA[0]
+set_location_assignment PIN_184 -to RAM_DQA[1]
+set_location_assignment PIN_185 -to RAM_DQA[2]
+set_location_assignment PIN_186 -to RAM_DQA[3]
+set_location_assignment PIN_187 -to RAM_DQA[4]
+set_location_assignment PIN_188 -to RAM_DQA[5]
+set_location_assignment PIN_189 -to RAM_DQA[6]
+set_location_assignment PIN_194 -to RAM_DQA[7]
+set_location_assignment PIN_195 -to RAM_ADDR[13]
+set_location_assignment PIN_196 -to RAM_ADDR[14]
+set_location_assignment PIN_197 -to RAM_ADDR[15]
+set_location_assignment PIN_200 -to RAM_ADDR[16]
+set_location_assignment PIN_201 -to RAM_ADDR[17]
+set_location_assignment PIN_202 -to RAM_ADDR[18]
+set_location_assignment PIN_203 -to RAM_ADDR[19]
+set_location_assignment PIN_207 -to RAM_ADDR[20]
+set_location_assignment PIN_210 -to CLK_100MHz
+set_location_assignment PIN_214 -to RAM_ADDR[21]
+set_location_assignment PIN_216 -to RAM_ADDR[0]
+set_location_assignment PIN_217 -to RAM_ADDR[1]
+set_location_assignment PIN_218 -to RAM_ADDR[2]
+set_location_assignment PIN_219 -to RAM_ADDR[3]
+set_location_assignment PIN_221 -to RAM_ADDR[4]
+set_location_assignment PIN_223 -to RAM_ADDR[5]
+set_location_assignment PIN_224 -to RAM_DQBP
+set_location_assignment PIN_226 -to RAM_DQB[0]
+set_location_assignment PIN_230 -to RAM_DQB[1]
+set_location_assignment PIN_231 -to RAM_DQB[2]
+set_location_assignment PIN_232 -to RAM_DQB[3]
+set_location_assignment PIN_233 -to RAM_DQB[4]
+set_location_assignment PIN_234 -to RAM_DQB[5]
+set_location_assignment PIN_235 -to RAM_DQB[6]
+set_location_assignment PIN_236 -to RAM_DQB[7]
+set_location_assignment PIN_237 -to RAM_ADDR[6]
+set_location_assignment PIN_238 -to RAM_ADDR[7]
+set_location_assignment PIN_239 -to RAM_CLK
+set_location_assignment PIN_240 -to RAM_WE
+set_location_assignment PIN_4 -to RAM_ADDR[8]
+set_location_assignment PIN_5 -to RAM_ADDR[9]
+set_location_assignment PIN_6 -to RAM_ADDR[10]
+set_location_assignment PIN_9 -to RAM_ADDR[11]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to LED
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CLK_50MHz
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CLK_100MHz
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGA
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGB
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_FLAGC
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA7
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA6
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA5
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA4
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA3
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA2
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA1
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PA0
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[7]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_PB[6]
@@ -242,48 +191,13 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_SLWR
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to USB_IFCLK
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to I2C_SDA
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to I2C_SCL
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_A[4]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TRG[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[4]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[6]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[7]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[8]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[9]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[10]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[11]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[12]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[5]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[13]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[14]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[15]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[1]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[2]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[3]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[4]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[5]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[6]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[7]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[8]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[9]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[10]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[11]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[12]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_CCLK[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_CCLK[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to PWM[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to PWM[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to PWM[2]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to PWM[3]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SPI_SEL[0]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ADC_RST
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SPI_CLK
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SPI_SDO
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SPI_SEL[1]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[1]
@@ -306,6 +220,7 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[18]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[19]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[20]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_ADDR[21]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_CLK
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_CE1
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_WE
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQAP
@@ -327,4 +242,39 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[6]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[7]
+set_instance_assignment -name AUTO_OPEN_DRAIN_PINS ON -to PWM[0]
+set_instance_assignment -name AUTO_OPEN_DRAIN_PINS ON -to PWM[1]
+set_instance_assignment -name AUTO_OPEN_DRAIN_PINS ON -to PWM[2]
+set_instance_assignment -name AUTO_OPEN_DRAIN_PINS ON -to PWM[3]
+
+set_global_assignment -name MISC_FILE "D:/altera/MultiChannelUSB/Paella.dpf"
+set_global_assignment -name VERILOG_FILE Paella.v
+set_global_assignment -name VERILOG_FILE adc_lvds.v
+set_global_assignment -name VERILOG_FILE cic_pipeline.v
+set_global_assignment -name VERILOG_FILE cic_filter.v
+set_global_assignment -name VERILOG_FILE uwt_bior31.v
+set_global_assignment -name VERILOG_FILE sys_pll.v
+set_global_assignment -name VERILOG_FILE control.v
+set_global_assignment -name VERILOG_FILE analyser.v
+set_global_assignment -name VERILOG_FILE amplitude.v
+set_global_assignment -name VERILOG_FILE deconv.v
+set_global_assignment -name VERILOG_FILE delay.v
+set_global_assignment -name VERILOG_FILE coincidence.v
+set_global_assignment -name VERILOG_FILE counter.v
+set_global_assignment -name VERILOG_FILE histogram32.v
+set_global_assignment -name VERILOG_FILE histogram16.v
+set_global_assignment -name VERILOG_FILE trigger.v
+set_global_assignment -name VERILOG_FILE oscilloscope.v
+set_global_assignment -name VERILOG_FILE configuration.v
+set_global_assignment -name VERILOG_FILE usb_fifo.v
+set_global_assignment -name VERILOG_FILE i2c_fifo.v
+set_global_assignment -name VERILOG_FILE spi_fifo.v
+set_global_assignment -name VERILOG_FILE test.v
+set_global_assignment -name MIF_FILE test.mif
+set_global_assignment -name VERILOG_FILE average.v
+set_global_assignment -name VERILOG_FILE extrema.v
+set_global_assignment -name VERILOG_FILE filter.v
+set_global_assignment -name VERILOG_FILE new_filter.v
+set_global_assignment -name VERILOG_FILE clip.v
+set_global_assignment -name VERILOG_FILE pwm.v
 
 set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top