Index: trunk/MultiChannelUSB/Paella.qsf
===================================================================
--- trunk/MultiChannelUSB/Paella.qsf	(revision 101)
+++ trunk/MultiChannelUSB/Paella.qsf	(revision 159)
@@ -42,5 +42,5 @@
 set_global_assignment -name ORIGINAL_QUARTUS_VERSION 9.0
 set_global_assignment -name PROJECT_CREATION_TIME_DATE "14:14:14  AUGUST 28, 2009"
-set_global_assignment -name LAST_QUARTUS_VERSION 9.0
+set_global_assignment -name LAST_QUARTUS_VERSION "9.1 SP2"
 set_global_assignment -name DEVICE_FILTER_PACKAGE "ANY QFP"
 set_global_assignment -name DEVICE_FILTER_PIN_COUNT 240
@@ -49,25 +49,6 @@
 set_global_assignment -name AUTO_SHIFT_REGISTER_RECOGNITION OFF
 set_global_assignment -name MISC_FILE Paella.dpf
-set_global_assignment -name VERILOG_FILE Paella.v
-set_global_assignment -name VERILOG_FILE adc_fifo.v
-set_global_assignment -name VERILOG_FILE adc_lvds.v
-set_global_assignment -name VERILOG_FILE adc_para.v
-set_global_assignment -name VERILOG_FILE adc_pll.v
-set_global_assignment -name VERILOG_FILE control.v
-set_global_assignment -name VERILOG_FILE analyser.v
-set_global_assignment -name VERILOG_FILE counter.v
-set_global_assignment -name VERILOG_FILE histogram.v
-set_global_assignment -name VERILOG_FILE trigger.v
-set_global_assignment -name VERILOG_FILE oscilloscope.v
-set_global_assignment -name VERILOG_FILE configuration.v
-set_global_assignment -name VERILOG_FILE usb_fifo.v
-set_global_assignment -name VERILOG_FILE i2c_fifo.v
-set_global_assignment -name VERILOG_FILE uwt_bior31.v
-set_global_assignment -name VERILOG_FILE test.v
-set_global_assignment -name VERILOG_FILE test_pll.v
-set_global_assignment -name VERILOG_FILE sys_pll.v
 set_global_assignment -name USE_TIMEQUEST_TIMING_ANALYZER OFF
 set_global_assignment -name ENABLE_CLOCK_LATENCY ON
-set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top
 set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
 set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
@@ -92,5 +73,4 @@
 set_global_assignment -name IOBANK_VCCIO 3.3V -section_id 8
 set_location_assignment PIN_21 -to LED
-set_location_assignment PIN_33 -to CLK_50MHz
 set_location_assignment PIN_37 -to USB_PA7
 set_location_assignment PIN_38 -to USB_PA6
@@ -157,6 +137,7 @@
 set_location_assignment PIN_146 -to CON_B[14]
 set_location_assignment PIN_147 -to CON_B[15]
-set_location_assignment PIN_149 -to CON_BCLK[0]
-set_location_assignment PIN_150 -to CON_BCLK[1]
+set_location_assignment PIN_148 -to CON_B[16]
+set_location_assignment PIN_149 -to CON_BCLK
+set_location_assignment PIN_150 -to CLK_50MHz
 set_location_assignment PIN_151 -to CON_CCLK[0]
 set_location_assignment PIN_152 -to CON_CCLK[1]
@@ -266,6 +247,5 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[14]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_B[15]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[0]
-set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK[1]
+set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_BCLK
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[0]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CON_C[1]
@@ -324,2 +304,24 @@
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[6]
 set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RAM_DQB[7]
+
+set_global_assignment -name VERILOG_FILE clip.v
+set_global_assignment -name VERILOG_FILE shift.v
+set_global_assignment -name VERILOG_FILE Paella.v
+set_global_assignment -name VERILOG_FILE adc_lvds.v
+set_global_assignment -name VERILOG_FILE sys_pll.v
+set_global_assignment -name VERILOG_FILE control.v
+set_global_assignment -name VERILOG_FILE filter.v
+set_global_assignment -name VERILOG_FILE amplitude.v
+set_global_assignment -name VERILOG_FILE delay.v
+set_global_assignment -name VERILOG_FILE coincidence.v
+set_global_assignment -name VERILOG_FILE counter.v
+set_global_assignment -name VERILOG_FILE histogram16.v
+set_global_assignment -name VERILOG_FILE histogram32.v
+set_global_assignment -name VERILOG_FILE trigger.v
+set_global_assignment -name VERILOG_FILE oscilloscope.v
+set_global_assignment -name VERILOG_FILE configuration.v
+set_global_assignment -name VERILOG_FILE usb_fifo.v
+set_global_assignment -name VERILOG_FILE i2c_fifo.v
+set_global_assignment -name VERILOG_FILE test.v
+
+set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top