Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 166)
+++ /trunk/paper/notes.tex	(revision 167)
@@ -92,5 +92,5 @@
 A new framework, called \textsc{Delphes}~\cite{bib:Delphes}, is introduced here, for the fast simulation of a general purpose collider experiment. 
 Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates, under a set of assumptions. 
-Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematics properties of the visible final particles. Tracks of charged particles and calorimetric towers (or \textit{calotowers} are then created.
+Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematics properties of the visible final particles. Tracks of charged particles and calorimetric towers (or \textit{calotowers}) are then created.
 
 \textsc{Delphes} includes the most crucial experimental features, like (1) the geometry of both central or forward detectors; (2) lepton isolation; (3) reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy; (4) trigger emulation and (5) an event display (Fig.~\ref{fig:FlowChart}).
@@ -117,5 +117,5 @@
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
-\textsc{Delphes} uses the \texttt{ExRootAnalysis} utility~\cite{bib:ExRootAnalysis} to create output data in a \texttt{*.root} file format.
+\textsc{Delphes} uses the \texttt{ExRootAnalysis} utility~\cite{bib:ExRootAnalysis} to create output data in a \texttt{*.root} ntuple.
 This output contains a copy of the generator level data (\textsc{gen} tree), the analysis data objects after reconstruction (\mbox{\textsc{A}nalysis} tree), and possibly the results of the trigger emulation (\mbox{\textsc{T}rigger} tree). The program is driven by input cards. The detector card (\texttt{data/DataCardDet.dat}) allows a large spectrum of running conditions by modifying basic detector parameters, including calorimeter and tracking coverage and resolution, thresholds or jet algorithm parameters. The trigger card (\texttt{data/trigger.dat}) lists the user algorithms for the simplified online preselection.\\
 
@@ -251,5 +251,5 @@
 \caption{Default location of the very forward detectors, including \textsc{zdc}, \textsc{rp220} and \textsc{fp420} in the \textsc{lhc} beamline. 
 Incoming (red) and outgoing (black) beams on one side of the interaction point ($s=0~\textrm{m}$). 
-The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, where the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$.}
+The Zero Degree Calorimeter is located in perfect alignment with the beamline axis at the interaction point, at $140~\textrm{m}$, where the beam paths are separated. The forward taggers are near-beam detectors located at $220~\textrm{m}$ and $420~\textrm{m}$. Beamline simulation with \textsc{Hector}~\cite{bib:Hector}.}
 \label{fig:fdets}
 \end{center}
@@ -987,5 +987,5 @@
 \end{verbatim}
 \end{quote}
-As a reminder, typing the \texttt{./Delphes} command simply display the correct usage:
+As a reminder, typing the \texttt{./Delphes} command simply displays the correct usage:
 
 \begin{quote}
@@ -1005,5 +1005,5 @@
 \subsubsection{Contents of the \textsc{Delphes} ROOT trees}
  
-The \textsc{Delphes} output file (\texttt{*.root}) is subdivided into three \textit{trees}, corresponding to generator-level data, analysis object data and trigger output. These \textsc{trees} are structures that organise the output data into \textit{branches} containing data (or \textit{leaves}) related with each others, like the kinematics properties ($E$, $p_x$, $\eta$, $\ldots$) of a given particle.
+The \textsc{Delphes} output file (\texttt{*.root}) is subdivided into three \textit{trees}, corresponding to generator-level data, analysis object data and trigger output. These \textit{trees} are structures that organise the output data into \textit{branches} containing data (or \textit{leaves}) related with each others, like the kinematics properties ($E$, $p_x$, $\eta$, $\ldots$) of a given particle.
 
 Here is the exhaustive list of \textit{branches} availables in these \textit{trees}, together with their corresponding physical objet and \texttt{ExRootAnalysis} class:
@@ -1171,7 +1171,10 @@
  
 \begin{itemize}
-\item If the { \verb FLAG_frog } was switched on in the smearing card, two files has been created during the run of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed information to run \textsc{frog}.
-\item To display the events and the geometry, you first need to compile \textsc{Frog}. Go to the {\verb Utilities/FROG } and type {\verb make }. This compilation is done once for all, with this geometry (i.e. as long as the \texttt{*vis} and \texttt{*geom} files do not change)
-\item Go back into the main directory and type \texttt{me@mylaptop:~\$ ./Utilities/FROG/frog}.
+\item If the { \verb FLAG_frog } was switched on in the smearing card, two files have been created during the running of \textsc{Delphes}: {\verb DelphesToFrog.vis } and {\verb DelphesToFrog.geom }. They contain all the needed pieces of information to run \textsc{frog}.
+\item To display the events and the geometry, you first need to compile \textsc{Frog}. Go to the {\verb Utilities/FROG } and type {\verb make }. This compilation is done once for all, with this geometry (i.e. as long as the \texttt{*vis} and \texttt{*geom} files do not change).
+\item Go back into the main directory and type 
+\begin{quote}
+\texttt{me@mylaptop:~\$ ./Utilities/FROG/frog}.
+\end{quote}
 \end{itemize}
  