Index: trunk/paper/notes.tex
===================================================================
--- trunk/paper/notes.tex	(revision 168)
+++ trunk/paper/notes.tex	(revision 172)
@@ -88,11 +88,11 @@
 Experiments at high energy colliders are very complex systems in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
 
-This complexity is handled by large collaborations of thousands of people, which restrict the availability of the data, software and documentation to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and slow. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
+This complexity is handled by large collaborations of thousands of people, but the data and the expertise are only available to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and requires a large \texttt{CPU} power. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
 
 A new framework, called \textsc{Delphes}~\cite{bib:Delphes}, is introduced here, for the fast simulation of a general purpose collider experiment. 
 Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates, under a set of assumptions. 
-Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematics properties of the visible final particles. Tracks of charged particles and calorimetric towers (or \textit{calotowers}) are then created.
-
-\textsc{Delphes} includes the most crucial experimental features, like (1) the geometry of both central or forward detectors; (2) lepton isolation; (3) reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy; (4) trigger emulation and (5) an event display (Fig.~\ref{fig:FlowChart}).
+Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematics properties of the visible final particles. Tracks of charged particles and deposits of energy in calorimetric cells (or \textit{calotowers}) are then created.
+
+\textsc{Delphes} includes the most crucial experimental features, like (1) the geometry of both central or forward detectors; (2) reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy; (3) lepton isolation; (4) trigger emulation and (5) an event display (Fig.~\ref{fig:FlowChart}, at the end).
 
 \begin{figure*}[t]
@@ -114,5 +114,5 @@
 %The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
 
-Three formats of input files can currently be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
+Three formats of input files can be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
@@ -158,5 +158,5 @@
 
 \subsubsection*{Magnetic field}
-In addition to the subdetectors, the effects of a dipolar magnetic field is simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This simply modifies the corresponding particle direction before it enters the calorimeters.
+In addition to the subdetectors, the effects of a dipolar magnetic field is simulated for the charged particles\footnote{\texttt{[code] }See the \texttt{TrackPropagation} class.}. This affects the position at which charged particles enter the calorimeters.
 
 
@@ -178,7 +178,7 @@
 
 
-The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from the detector technical designs\footnote{\texttt{[code] }The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
+The particle four-momentum $p^\mu$ are smeared with a parametrisation directly derived from typical detector technical designs\footnote{\texttt{[code] }~\cite{bib:cmsjetresolution,bib:ATLASresolution}. The response of the detector is applied to the electromagnetic and the hadronic particles through the \texttt{SmearElectron} and \texttt{SmearHadron} functions.}.
 In the default parametrisation, the calorimeter is assumed to cover the pseudorapidity range $|\eta|<3$ and consists in an electromagnetic and an hadronic part. Coverage between pseudorapidities of $3.0$ and $5.0$ is provided by forward calorimeters, with different response to electromagnetic objects ($e^\pm, \gamma$) or hadrons. 
-Muons and neutrinos are assumed no to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should subsequently be handled with care.}.
+Muons and neutrinos are assumed not to interact with the calorimeters\footnote{In the current \textsc{Delphes} version, particles other than electrons ($e^\pm$), photons ($\gamma$), muons ($\mu^\pm$) and neutrinos ($\nu_e$, $\nu_\mu$ and $\nu_\tau$) are simulated as hadrons for their interactions with the calorimeters. The simulation of stable particles beyond the Standard Model should subsequently be handled with care.}.
 The default values of the stochastic, noisy and constant terms are given in Tab.~\ref{tab:defResol}.\\
 
@@ -222,10 +222,9 @@
 \right.
 \end{equation}
-where $0 \leq F \leq 1$. The electromagnetic part is handled as the electrons. The resulting final energy given after the application of the smearing is then $E = E_{\textsc{hcal}} + E_{\textsc{ecal}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction is $F$ is assumed to be worth $0.7$.\\
+where $0 \leq F \leq 1$. The electromagnetic part is handled as the same way as the electrons. The resulting energy measurement given after the application of the smearing is then $E = E_{\textsc{hcal}} + E_{\textsc{ecal}}$. For $K_S^0$ and $\Lambda$ hadrons, the energy fraction is $F$ is assumed to be worth $0.7$.\\
 
 \subsection{Calorimetric towers}
 
-The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement.
-All undecayed particles, except muons and neutrinos produce a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
+The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos produce a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
 As the detector is assumed to be symmetric in $\phi$ and with respect to the $\eta=0$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
 
@@ -238,5 +237,5 @@
 \end{figure}
 
-The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No longitudinal segmentation is available in the simulated calorimeters. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
+The calorimetric towers directly enter in the calculation of the missing transverse energy (\textsc{met}), and as input for the jet reconstruction algorithms. No sharing between neighbouring towers is implemented when particles enter a tower very close to its geometrical edge.
 
 \subsection{Very forward detectors simulation}
@@ -286,6 +285,5 @@
  t = \frac{1}{c} \times (s-z)
 \end{equation}
-Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected in the \textsc{zdc}.
-To fix the ideas, if the \textsc{zdc} is located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$, one gets  $t=0.47~\mu\textrm{s}$.
+For example, a photon takes $0.47~\mu\textrm{s}$ to reach a \textsc{zdc} located at $s=140~\textrm{m}$, neglecting $z$ and $\theta$, and assuming that $v=c$. Only neutrons and photons are currently assumed to be able to reach the \textsc{zdc}. All other particles are neglected in the \textsc{zdc}.
 
 \section{High-level object reconstruction}
@@ -307,10 +305,10 @@
 
 Generator level muons entering the detector acceptance are considered as candidates for the analysis level.
-The acceptance is defined in terms of a transverse momentum threshold to overpass (default : $p_T > 10~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
-The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. In addition, multiple scattering is also neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector.
+The acceptance is defined in terms of a transverse momentum threshold to overpass that should be computed using the chosen geometry of the detector and the magnetic field considered. (default : $p_T > 10~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
+The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. In addition, multiple scattering is also neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Moreover, muons leave no deposit in calorimeters.
 
 \subsubsection*{Charged lepton isolation}
 
-To improve the quality of the contents of the charged lepton collections, additional criteria can be applied to impose some isolation. This requires that electron or muon candidates are isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}$ within a cone of $\Delta R = \sqrt{\Delta \eta^2 + \Delta \phi^2} <0.5$ around the lepton. The result (i.e. \textit{isolated} or \textit{not}) is added to the charged lepton measured properties\footnote{\texttt{[code] }See the \texttt{IsolFlag} output of the \texttt{Electron} or \texttt{Muon} collections in the \texttt{Analysis} tree.}.\\ 
+To improve the quality of the contents of the charged lepton collections, additional criteria can be applied to impose some isolation. This requires that electron or muon candidates are isolated in the detector from any other particle, within a small cone. In \textsc{Delphes}, charged lepton isolation demands that there is no other charged particle with $p_T>2~\textrm{GeV}$ within a cone of $\Delta R = \sqrt{\Delta \eta^2 + \Delta \phi^2} <0.5$ around the lepton. The result (i.e. \textit{isolated} or \textit{not}) is added to the charged lepton measured properties\footnote{\texttt{[code] }See the \texttt{IsolFlag} output of the \texttt{Electron} or \texttt{Muon} collections in the \texttt{Analysis} tree.}. No calorimetric isolation is applied. \\ 
 
 
@@ -323,5 +321,5 @@
 
 A realistic analysis requires a correct treatment of final state particles which hadronise. Therefore, the most widely currently used jet algorithms have been integrated into the \textsc{Delphes} framework using the \textsc{FastJet} tools~\cite{bib:FastJet}. 
-Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the smearing card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombination scheme. For all of them, the towers are used as input of the jet clustering. Jet algorithms also differ with their sensitivity to soft particles or collinear splittings, and with their computing speed performance.
+Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the smearing card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombination scheme. For all of them, the towers are used as input for the jet clustering. Jet algorithms also differ in their sensitivity to soft particles or collinear splittings, and with their computing speed performance.
  
 \subsubsection*{Cone algorithms}
@@ -343,5 +341,5 @@
 \subsubsection*{Recombination algorithms}
  
-The three following jet algorithms are safe for soft radiations (\textit{infrared}) and collinear splittings. They rely on recombination schemes where neighbouring calotower pairs are successively merged. The definitions of the jet algorithms are similar except for the definition of the \textit{distances} $d$ used during the merging procedure. Two such variables are defined: the distance $d_{ij}$ between each pair of towers $(i,j)$, and a variable $d_{iB}$ (\textit{beam distance}) depending on the transverse momentum of the tower $i$.
+The three following jet algorithms are safe for soft radiations (\textit{infrared}) and collinear splittings. They rely on recombination schemes where calorimeter tower pairs are successively merged. The definitions of the jet algorithms are similar except for the definition of the \textit{distances} $d$ used during the merging procedure. Two such variables are defined: the distance $d_{ij}$ between each pair of towers $(i,j)$, and a variable $d_{iB}$ (\textit{beam distance}) depending on the transverse momentum of the tower $i$.
 
 The jet reconstruction algorithm browses the calotower list. It starts by finding the minimum value $d_\textrm{min}$ of all the distances $d_{ij}$ and $d_{iB}$. If $d_\textrm{min}$ is a $d_{ij}$, the towers $i$ and $j$ are merged into a single tower with a four-momentum $p^\mu = p^\mu (i) + p^\mu (j)$ (\textit{E-scheme recombination}). If $d_\textrm{min}$ is a $d_{iB}$, the tower is declared as a final jet and is removed from the input list. This procedure is repeated until no towers are left in the input list. Further information on these jet algorithms is given here below, using $k_{ti}$, $y_{i}$ and $\phi_i$ as the transverse momentum, rapidity and azimuth of calotower $i$ and $\Delta R_{ij}= \sqrt{(y_i-y_j)^2+(\phi_i-\phi_j)^2}$ as the jet-radius parameter:
@@ -396,5 +394,5 @@
 
 Jets originating from $\tau$-decays are identified using an identification procedure consistent with the one applied in a full detector simulation~\cite{bib:cmsjetresolution}. 
-The tagging rely on two properties of the $\tau$ lepton. First, $77\%$ of the $\tau$ hadronic decays contain only one charged hadron associated to a few neutrals (Tab.~\ref{tab:taudecay}). Tracks are useful for this criterion. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter (\textit{collimation}). 
+The tagging relies on two properties of the $\tau$ lepton. First, $77\%$ of the $\tau$ hadronic decays contain only one charged hadron associated to a few neutrals (Tab.~\ref{tab:taudecay}). Tracks are useful for this criterion. Secondly, the particles arisen from the $\tau$ lepton produce narrow jets in the calorimeter (this is defined as the jet \textit{collimation}). 
 
 \begin{table}[!h]
@@ -422,5 +420,5 @@
 \begin{center}
 \includegraphics[width=0.6\columnwidth]{Tau}
-\caption{Illustration of the identification of $\tau$-jets. The jet cone is narrow and contains only one track.}
+\caption{Illustration of the identification of $\tau$-jets. The jet cone is narrow and contains only one track. The small cone shown as the red one is used for the \textit{electromagnetic collimation}, while the green cone is the cone radius used to reconstruct the jet originating from the $\tau$-decay.}
 \label{h_WW_ss_cut1}
 \end{center}
@@ -448,5 +446,5 @@
 \subsubsection*{Tracking isolation}
 
-The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with a significant transverse momentum is one and only one in a cone of radius $R^\textrm{tracks}$. 
+The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with a significant transverse momentum is one and only one in a cone of radius $R^\textrm{tracks}$ (3-prong $\tau$s are dropped). 
 This cone should be entirely pointing to the tracker to be taken into account. Default values of these parameters are given in Tab.~\ref{tab:tauRef}.
 
@@ -538,5 +536,5 @@
 Its quality and validity are assessed by comparing to resolution of the reconstructed data to the \textsc{cms} detector expectations. 
 
-Electrons and muons match by construction to the experiment designs, as the Gaussian smearing of their kinematics properties is defined according to the experiment resolution.
+Electrons and muons are by construction equal to the experiment designs, as the Gaussian smearing of their kinematics properties is defined according to their resolutions.
 Similarly, the $b$-tagging efficiency (for real $b$-jets) and misidentification rates (for fake $b$-jets) are taken from the expected values of the experiment. 
 Unlike these simple objects, jets and missing transverse energy should be carefully cross-checked.
@@ -550,5 +548,5 @@
 \Delta R = \sqrt{ \big(\eta^\textrm{rec} - \eta^\textrm{MC} \big)^2 +  \big(\phi^\textrm{rec} - \phi^\textrm{MC} \big)^2}<0.25. 
 \end{equation}
-The jets made of generator-level particles, or \textsc{mc} jets, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
+The jets made of generator-level particles, here refered as \textit{MC jets}, are obtained by applying the same clustering algorithm to all particles considered as stable after hadronisation.
 Jets produced by \textsc{Delphes} and satisfying the matching criterion are called hereafter \textit{reconstructed jets}.
 
@@ -565,5 +563,5 @@
 \begin{center}
 \includegraphics[width=\columnwidth]{resolutionJet}
-\caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$. The maximum separation between the reconstructed and \textsc{mc} jets is $\Delta R= 0.25$. Pink line is the fit result for comparison to the \textsc{cms} resolution, in blue.}
+\caption{Resolution of the transverse energy of reconstructed jets $E_T^\textrm{rec}$ as a function of the transverse energy of the closest jet of generator-level particles $E_T^\textrm{MC}$. The maximum separation between the reconstructed and \textsc{mc} jets is $\Delta R= 0.25$. Pink line is the fit result for comparison to the \textsc{cms} resolution~\cite{bib:cmsjetresolution}, in blue.}
 \label{fig:jetresol}
 \end{center}
@@ -576,5 +574,5 @@
 \end{equation}
 where $a$, $b$ and $c$ are the fit parameters. 
-It is then compared to the resolution obtained with a recent version of the simulation package of the \textsc{cms} detector~\cite{bib:cmsjetresolution}. The resolution curves from \textsc{Delphes} and \textsc{cms} are in good agreement.
+It is then compared to the resolution published by the \textsc{cms} collaboration~\cite{bib:cmsjetresolution}. The resolution curves from \textsc{Delphes} and \textsc{cms} are in good agreement.
  
 \subsection{MET resolution}
@@ -603,10 +601,9 @@
 The resolution $\sigma_x$ of the horizontal component of \textsc{met} is observed to behave like
 \begin{equation}
-\sigma_x = \alpha ~(\Sigma E_T) ~~~(\mathrm{GeV}^{1/2}),
+\sigma_x = \alpha ~\sqrt(E_T) ~~~(\mathrm{GeV}^{1/2}),
 \end{equation}
 where the $\alpha$ parameter is depending on the resolution of the calorimeters. 
 
-The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ (\Sigma E_T) ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at the same bunch crossing.}~\cite{bib:cmsjetresolution}. 
-The same quantity obtained by \textsc{Delphes} is in excellent agreement with the expectations of the general purpose detector, as $\alpha = 0.68$.
+The \textsc{met} resolution expected for the \textsc{cms} detector for similar events is $\sigma_x = (0.6-0.7) ~ \sqrt(E_T) ~ \mathrm{GeV}^{1/2}$ with no pile-up\footnote{\textit{Pile-up} events are extra simultaneous $pp$ collision occurring at the same bunch crossing.}~\cite{bib:cmsjetresolution}, which compares very well with the $\alpha = 0.68$ obtained with \textsc{Delphes}.
 
 \subsection{\texorpdfstring{$\tau$}{\texttau}-jet efficiency}
@@ -650,5 +647,5 @@
 % \end{figure}
  
-Two and three-dimensional representations of the detector configuration can be used for communication purpose, as it clearly shows the geometric coverage of the different detector subsystems. As an illustration, the generic detector geometry assumed in \textsc{Delphes} is shown in Fig.~\ref{fig:GenDet3}
+Two and three-dimensional representations of the detector configuration can be used for communication purpose, as it clearly shows the geometric coverage of the different detector subsystems. As an illustration, the generic detector geometry assumed in this paper is shown in Fig.~\ref{fig:GenDet3}
 %, \ref{fig:GenDet}
  and~\ref{fig:GenDet2}.  
@@ -684,5 +681,5 @@
 One $W$ boson decays into a $\mu \nu_\mu$ pair and the second one into a $e \nu_e$ pair. 
 The surviving proton leaves a forward hemisphere with no hadronic activity. 
-The isolated muon is shown as the blue vector. 
+The isolated muon is shown as the dark blue vector. 
 Around the electron, in red, is reconstructed a fake $\tau$-jet (green vector surrounded by a blue cone), while the reconstructed missing energy (in grey) is very small. One jet is visible in one forward region, along the beamline axis, opposite to the direction of the escaping proton.}
 \label{fig:wt}
@@ -722,5 +719,5 @@
 % 
 % \subsection{version 2}
-We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, probing the observability of models in collider experiments. It has already been used for several analyses, in particular in photon interactions at the \textsc{lhc}.
+We have described here the major features of the \textsc{Delphes} framework, introduced for the fast simulation of a collider experiment. This framework is a tool meant for feasibility studies in phenomenology, probing the observability of models in collider experiments. It has already been used for several analyses, in particular in photon interactions at the \textsc{lhc}~\cite{bib:wtphotoproduction, bib:papierquisortirajamais, bib:papiersimon}.
 
 \textsc{Delphes} takes the output of event generators and yields analysis object data.
@@ -747,4 +744,6 @@
 \bibitem{bib:ExRootAnalysis} %\textit{The} \textsc{ExRootAnalysis} \textit{analysis steering utility}, 
 P. Demin, (2006), unpublished. Now part of \textsc{MadGraph/MadEvent}.
+\bibitem{bib:cmsjetresolution} CMS Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}.
+\bibitem{bib:ATLASresolution} The ATLAS Collaboration, \href{http://arxiv.org/abs/arxiv:0901.0512}{arXiv:hep-ex/0901.0512v1}.
 \bibitem{bib:Hector} %\textsc{Hector}, \textit{a fast simulator for the transport of particles in beamlines}, 
 X. Rouby, J. de Favereau, K. Piotrzkowski, \textbf{JINST} \href{http://www.iop.org/EJ/abstract/1748-0221/2/09/P09005}{2 P09005 (2007)}.
@@ -761,5 +760,4 @@
 \bibitem{bib:antikt} %\textit{The anti-kt jet clustering algorithm}, 
 M. Cacciari, G.P. Salam, G. Soyez, \textbf{JHEP} \href{http://dx.doi.org/10.1088/1126-6708/2008/04/063}{04 (2008) 063}.
-\bibitem{bib:cmsjetresolution} CMS Collaboration, \textbf{CERN/LHCC} \href{http://documents.cern.ch/cgi-bin/setlink?base=lhcc&categ=public&id=lhcc-2006-001}{2006-001}; \textbf{CMS IN} 2007/053.
 \bibitem{bib:pdg} C. Amsler et al. (Particle Data Group), \textbf{Phys. Lett. B} \href{http://dx.doi.org/10.1016/j.physletb.2008.07.018}{667 (2008) 1}.
 \bibitem{bib:whphotoproduction} S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} \href{http://dx.doi.org/10.1016/j.nuclphysbps.2008.07.034}{179-180 (2008) 269-276}.
@@ -772,5 +770,12 @@
 \bibitem{bib:Frog} L. Quertenmont, V. Roberfroid, hep-ex/xxx.
 \bibitem{bib:wtphotoproduction} J. de Favereau de Jeneret, S. Ovyn, \textbf{Nucl. Phys. Proc. Suppl.} \href{http://dx.doi.org/10.1016/j.nuclphysbps.2008.07.040}{179-180 (2008)} \href{http://dx.doi.org/10.1016/j.nuclphysbps.2008.07.040}{277-284}; S. Ovyn, J. de Favereau de Jeneret, \href{http://dx.doi.org/10.1393/ncb/i2008-10684-5}{Nuovo Cimento B}, arXiv:hep-ph/0806.4841.
+
+\bibitem{bib:papierquisortirajamais}J. de Favereau~et~al, \textbf{CP3-08-04} (2008), to be published in EPJ.
+
+\bibitem{bib:papiersimon} il faut lui demander...
+
 \bibitem{bib:mcfio} P. Lebrun, L. Garren, Copyright (c) 1994-1995 Universities Research Association, Inc.
+
+
 \end{thebibliography}
 