Index: /trunk/paper/notes.tex
===================================================================
--- /trunk/paper/notes.tex	(revision 172)
+++ /trunk/paper/notes.tex	(revision 173)
@@ -64,6 +64,6 @@
 a general purpose experiment. The simulation includes a tracking system, embedded into a magnetic field, calorimetry and a muon
 system, and possible very forward detectors arranged along the beamline.
-The framework is interfaced to standard file formats (e.g. Les Houches Event File) and outputs observable analysis data objects, like missing transverse energy and collections of electrons or jets.
-The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms for complex objects, like \textsc{FastJet}. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the \textsc{Hector} software. Finally, the \textsc{Frog} 2D/3D event display is used for visualisation of the collision final states.
+The framework is interfaced to standard file formats (e.g. Les Houches Event File) and outputs observable objects for analysis, like missing transverse energy and collections of electrons or jets.
+The simulation of detector response takes into account the detector resolution, and usual reconstruction algorithms, like \textsc{FastJet}. A simplified preselection can also be applied on processed data for trigger emulation. Detection of very forward scattered particles relies on the transport in beamlines with the \textsc{Hector} software. Finally, the \textsc{Frog} 2D/3D event display is used for visualisation of the collision final states.
 An overview of \textsc{Delphes} is given as well as a few use-cases for illustration.
 \vspace{0.5cm}
@@ -86,13 +86,20 @@
 % - 3) permet de comparer
 
-Experiments at high energy colliders are very complex systems in several ways. First, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Then, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
+Experiments at high energy colliders are very complex systems for several reasons. Firstly, in terms of the various detector subsystems, including tracking, central calorimetry, forward calorimetry, and muon chambers. These detectors differ with their principles, technologies, geometries and sensitivities. Secondly, due to the requirement of a highly effective online selection (i.e. a \textit{trigger}), subdivided into several levels for an optimal reduction factor, but based only on partially processed data. Finally, in terms of the experiment software, with different data formats (like \textit{raw} or \textit{reconstructed} data), many reconstruction algorithms and particle identification schemes.
 
 This complexity is handled by large collaborations of thousands of people, but the data and the expertise are only available to their members. Real data analyses require a full detector simulation, including the various detector inefficiencies, the dead material, the imperfections and the geometrical details. Moreover, detector calibration and alignment are crucial. Such simulation is very complicated, technical and requires a large \texttt{CPU} power. On the other hand, phenomenological studies, looking for the observability of given signals, may require only fast but realistic estimates of the observables.
 
 A new framework, called \textsc{Delphes}~\cite{bib:Delphes}, is introduced here, for the fast simulation of a general purpose collider experiment. 
-Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates, under a set of assumptions. 
-Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematics properties of the visible final particles. Tracks of charged particles and deposits of energy in calorimetric cells (or \textit{calotowers}) are then created.
-
-\textsc{Delphes} includes the most crucial experimental features, like (1) the geometry of both central or forward detectors; (2) reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy; (3) lepton isolation; (4) trigger emulation and (5) an event display (Fig.~\ref{fig:FlowChart}, at the end).
+Using the framework, observables can be estimated for specific signal and background channels, as well as their production and measurement rates. 
+Starting from the output of event generators, the simulation of the detector response takes into account the subdetector resolutions, by smearing the kinematic properties of the final state particles\footnote{throughout the paper, final state particles refer as particles considered as stable by the event generator.}. Tracks of charged particles and deposits of energy in calorimetric cells (or \textit{calotowers}) are then created.
+
+\textsc{Delphes} includes the most crucial experimental features, like
+\begin{enumerate}
+\item the geometry of both central or forward detectors,
+\item reconstruction of photons, leptons, jets, $b$-jets, $\tau$-jets and missing transverse energy,
+\item lepton isolation,
+\item trigger emulation,
+\item an event display (Fig.~\ref{fig:FlowChart}, at the end).
+\end{enumerate}
 
 \begin{figure*}[t]
@@ -114,5 +121,5 @@
 %The simulation package proceeds in two stages. The first part is executed on the generated events. ``Particle-level" informations are read from input files and stored in a {\it \textsc{gen}} \textsc{root} tree. 
 
-Three formats of input files can be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \mbox{\textsc{s}td\textsc{hep}} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
+Three formats of input files can be used as input in \textsc{Delphes}\footnote{\texttt{[code] }See the \texttt{HEPEVTConverter}, \texttt{LHEFConverter} and \texttt{STDHEPConverter} classes.}. In order to process events from many different generators, the standard Monte Carlo event structure \texttt{StdHEP}~\cite{bib:stdhep} can be used as an input. Besides, \textsc{Delphes} can also provide detector response for events read in ``Les Houches Event Format'' (\textsc{lhef}) and \textsc{root} files obtained using the \texttt{h2root} utility from the \textsc{root} framework~\cite{bib:Root}. 
 %Afterwards, \textsc{Delphes} performs a simple trigger simulation and reconstruct "high-level objects". These informations are organised in classes and each objects are ordered with respect to the transverse momentum. 
 
@@ -163,5 +170,5 @@
 
 \subsection{Tracks reconstruction}
-Every stable charged particle with a transverse momentum above some threshold and lying inside the fiducial volume of the tracker provides a track. 
+Every stable charged particle with a transverse momentum above some threshold and lying inside the detector volume covered by the tracker provides a track. 
 By default, a track is assumed to be reconstructed with $90\%$ probability\footnote{\texttt{[code]} The reconstruction efficiency is defined in the smearing datacard by the \texttt{TRACKING\_EFF} term.} if its transverse momentum $p_T$ is higher than $0.9~\textrm{GeV}$ and if its pseudorapidity $|\eta| \leq 2.5$. 
 
@@ -227,5 +234,5 @@
 
 The smallest unit for geometrical sampling of the calorimeters is a \textit{tower}; it segments the $(\eta,\phi)$ plane for the energy measurement. No longitudinal segmentation is available in the simulated calorimeters. All undecayed particles, except muons and neutrinos produce a calorimetric tower, either in \textsc{ecal}, in \textsc{hcal} or \textsc{fcal}. 
-As the detector is assumed to be symmetric in $\phi$ and with respect to the $\eta=0$ plane, the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
+As the detector is assumed to be cylindical (e.g. symmetric in $\phi$ and with respect to the $\eta=0$ plane), the smearing card stores the number of calorimetric towers with $\phi=0$ and $\eta>0$ (default: $40$ towers). For a given $\eta$, the size of the $\phi$ segmentation is also specified. Fig.~\ref{fig:calosegmentation} illustrates the default segmentation of the $(\eta,\phi)$ plane.
 
 \begin{figure}[!h]
@@ -293,5 +300,5 @@
 While electrons, muons and photons are easily identified, some other objects are more difficult to measure, like jets or missing energy due to invisible particles.
 
-For most of these objects, their four-momentum $p^\mu$ and related quantities are directly accessible in \textsc{Delphes} output ($E$, $\vec{p}$, $p_T$, $\eta$ and $\phi$). Additional properties are available for specific objects (like the charge and the isolation status for $e^\pm$ and $\mu^\pm$, the result of application of $b$-tag for jets and time-of-flight for some detector hits).
+For most of these objects, their four-momentum and related quantities are directly accessible in \textsc{Delphes} output ($E$, $\vec{p}$, $p_T$, $\eta$ and $\phi$). Additional properties are available for specific objects (like the charge and the isolation status for $e^\pm$ and $\mu^\pm$, the result of application of $b$-tag for jets and time-of-flight for some detector hits).
  
 
@@ -305,5 +312,5 @@
 
 Generator level muons entering the detector acceptance are considered as candidates for the analysis level.
-The acceptance is defined in terms of a transverse momentum threshold to overpass that should be computed using the chosen geometry of the detector and the magnetic field considered. (default : $p_T > 10~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
+The acceptance is defined in terms of a transverse momentum threshold to be overpassed that should be computed using the chosen geometry of the detector and the magnetic field considered. (default : $p_T > 10~\textrm{GeV}$) and of the pseudorapidity coverage of the muon system of the detector (default: $-2.4 \leq \eta \leq 2.4$).
 The application of the detector resolution on the muon momentum depends on a Gaussian smearing of the $p_T$ variable\footnote{\texttt{[code]} See the \texttt{SmearMuon} method.}. Neither $\eta$ nor $\phi$ variables are modified beyond the calorimeters: no additional magnetic field is applied. In addition, multiple scattering is also neglected. This implies that low energy muons have in \textsc{Delphes} a better resolution than in a real detector. Moreover, muons leave no deposit in calorimeters.
 
@@ -320,5 +327,5 @@
 \subsection{Jet reconstruction}
 
-A realistic analysis requires a correct treatment of final state particles which hadronise. Therefore, the most widely currently used jet algorithms have been integrated into the \textsc{Delphes} framework using the \textsc{FastJet} tools~\cite{bib:FastJet}. 
+A realistic analysis requires a correct treatment of particles which have hadronised. Therefore, the most widely currently used jet algorithms have been integrated into the \textsc{Delphes} framework using the \textsc{FastJet} tools~\cite{bib:FastJet}. 
 Six different jet reconstruction schemes are available\footnote{\texttt{[code] }The choice is done by allocating the \texttt{JET\_jetalgo } input parameter in the smearing card.}. The first three belong to the cone algorithm class while the last three are using a sequential recombination scheme. For all of them, the towers are used as input for the jet clustering. Jet algorithms also differ in their sensitivity to soft particles or collinear splittings, and with their computing speed performance.
  
@@ -328,5 +335,5 @@
  
 \item {\it CDF Jet Clusters}~\cite{bib:jetclu}: Algorithm forming jets by associating together towers lying within a circle (default radius $\Delta R=0.7$) in the $(\eta$, $\phi)$ space. 
-The so-called \textsc{Jetclu} cone jet algorithm that was used by \textsc{cdf} in Run II is used. 
+The so-called \textsc{Jetclu} cone jet algorithm that used by \textsc{cdf} in Run II is used. 
 All towers with a transverse energy $E_T$ higher than a given threshold (default: $E_T > 1~\textrm{GeV}$) are used to seed the jet candidates. 
 The existing \textsc{FastJet} code has been modified to allow easy modification of the tower pattern in $\eta$, $\phi$ space. 
@@ -380,5 +387,5 @@
 %(Fig.~\ref{fig:btag})
 . 
-The (mis)tagging relies on the true particle identity (\textsc{pid}) of the most energetic particle within a cone around the observed $(\eta,\phi)$ region, with a radius $\Delta R$ of $0.7$.
+The (mis)tagging relies on the true particle identity (\textsc{pid}) of the most energetic particle within a cone around the observed $(\eta,\phi)$ region, with a radius equal to the one used to reconstruct the jet (default: $\Delta R$ of $0.7$).
 
 %\begin{figure}[!h]
@@ -447,5 +454,5 @@
 
 The tracking isolation for the $\tau$ identification requires that the number of tracks associated to a particle with a significant transverse momentum is one and only one in a cone of radius $R^\textrm{tracks}$ (3-prong $\tau$s are dropped). 
-This cone should be entirely pointing to the tracker to be taken into account. Default values of these parameters are given in Tab.~\ref{tab:tauRef}.
+This cone should be entirely incorporated into the tracker to be taken into account. Default values of these parameters are given in Tab.~\ref{tab:tauRef}.
 
 
@@ -512,7 +519,7 @@
 \section{Trigger emulation}
 
-New physics in collider experiment are often characterised in phenomenology by low cross-section values, compared to the Standard Model (\textsc{sm}) processes. For instance at the \textsc{lhc} ($\sqrt{s}=14~\textrm{TeV}$), the cross-section of inclusive production of $b \bar b$ pairs is expected to be $10^7~\textrm{nb}$, or inclusive jets at $100~\textrm{nb}$ ($p_T > 200~\textrm{GeV}$), while Higgs boson cross-section within the \textsc{sm} can be as small as $2 \times 10^{-3}~\textrm{nb}$ ($pp \rightarrow WH$, $m_H=115~\textrm{GeV}$). 
-
-High statistics are required for data analyses, consequently imposing high luminosity, i.e. a high collision rate.
+New physics in collider experiment are often characterised in phenomenology by low cross-section values, compared to the Standard Model (\textsc{sm}) processes. %For instance at the \textsc{lhc} ($\sqrt{s}=14~\textrm{TeV}$), the cross-section of inclusive production of $b \bar b$ pairs is expected to be $10^7~\textrm{nb}$, or inclusive jets at $100~\textrm{nb}$ ($p_T > 200~\textrm{GeV}$), while Higgs boson cross-section within the \textsc{sm} can be as small as $2 \times 10^{-3}~\textrm{nb}$ ($pp \rightarrow WH$, $m_H=115~\textrm{GeV}$). 
+
+%High statistics are required for data analyses, consequently imposing high luminosity, i.e. a high collision rate.
 As only a tiny fraction of the observed events can be stored for subsequent \textit{offline} analyses, a very large data rejection factor should be applied directly as the events are produced.
 This data selection is supposed to reject only well-known \textsc{sm} events\footnote{However, some bandwidth is allocated to random triggers that stores a small fraction of the events without any selection criteria.}.
@@ -740,4 +747,5 @@
 \bibitem{bib:Delphes} \textsc{Delphes}, \href{http://www.fynu.ucl.ac.be/delphes.html}{www.fynu.ucl.ac.be/delphes.html}
 %hepforge:
+\cite{bib:stdhep} http://cepa.fnal.gov/psm/stdhep/c++/ 
 \bibitem{bib:Root} %\textsc{Root}, \textit{An Object Oriented Data Analysis Framework}, 
 R. Brun, F. Rademakers, Nucl. Inst. \& Meth. in \textbf{Phys. Res. A} \href{http://dx.doi.org/10.1016/S0168-9002(97)00048-X}{389 (1997) 81-86}.